{{- if .Values.enabled -}}
{{- $primaryVolumeMount := .Values.core.primaryVolumeMount -}}
{{ if and (not (eq $primaryVolumeMount.type "emptyDir")) (not (eq $primaryVolumeMount.type "hostPath")) }}
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ lower $primaryVolumeMount.name }}-pvc
  labels:
    {{- include "ska-pst-core.labels" $ | nindent 4 }}
spec:
  {{- if eq $primaryVolumeMount.type "block" }}
  storageClassName: bds1
  {{- else if eq $primaryVolumeMount.type "nfs" }}
  storageClassName: nfss1
  {{- else if eq $primaryVolumeMount.type "local-storage" }}
  storageClassName: local-storage
  volumeName: {{ .Release.Namespace }}-{{ .Release.Name }}-{{ $primaryVolumeMount.name }}-pv
  {{- end }}
  accessModes:
  {{- if or (eq $primaryVolumeMount.type "nfs") (eq $primaryVolumeMount.type "local-storage") }}
    - ReadWriteMany
  {{- else if eq $primaryVolumeMount.type "block" }}
    - ReadWriteOnce
  {{- end }}
  volumeMode: Filesystem
  resources:
    requests:
      storage: {{ $primaryVolumeMount.size }}
{{- end }}
{{- if (eq $primaryVolumeMount.type "local-storage") }}
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: {{ .Release.Namespace }}-{{ .Release.Name }}-{{ $primaryVolumeMount.name }}-pv
  labels:
    {{- include "ska-pst-core.labels" $ | nindent 4 }}
  namespace: {{ .Release.Namespace }}
spec:
  accessModes:
    - ReadWriteMany
  capacity:
    storage: {{ $primaryVolumeMount.size }}
  local:
    path: {{ $primaryVolumeMount.hostPath }}
  nodeAffinity:
    required:
      nodeSelectorTerms: {{ toYaml .Values.core.nodeSelectorTerms | nindent 8 }}
  persistentVolumeReclaimPolicy: Delete
  volumeMode: Filesystem
  storageClassName: local-storage
{{- end }}
{{- if and (hasKey .Values "global") (not (hasKey .Values.global "data-product-pvc-name")) }}
{{- if .Values.core.send.enabled }}
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ include "sendDpPvcName" . }}
  labels:
    {{- include "ska-pst-core.labels" . | nindent 4 }}
spec:
  storageClassName: nfss1
  accessModes:
    - ReadWriteMany
  volumeMode: Filesystem
  resources:
    requests:
      storage: {{ .Values.core.send.dataProductPVC.size }}
{{- end }}
{{- end }}
{{- end }}
